Announcement Announcement Module
Collapse
No announcement yet.
Classpath Issues for Web Modules Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Classpath Issues for Web Modules

    Has anyone been able to create a web module with Spring Web Services or one with Spring MVC, Spring Security, Spring Web Flow, and Tiles? I've spent a lot of time and keep having problems getting the bundle configuration right. I'm using the Eclipse IDE Plugin and letting it download bundles from the repository. Any help is appreciated.

    This is the error I'm getting trying to get Spring WS setup.

    Caused by: com.springsource.platform.osgi.framework.OsgiFrame workException: Error installing fragment from '/usr/local/eclispe-springsource-ap-1.0.0.RC1/repository/bundles/usr/org.springframework.ws.java5-1.5.2.A.jar' for bundle 'org.springframework.ws'


    And below is my config for Web Flow and the error. I think Web Flow accidentally defined looking for all org.springframework.binding's of version 2.0.2 instead of 2.0.2.RELEASE. Personally, if it's released, isn't it a release. It would be nice if all Spring projects standardized on version naming conventions. I think it will become more important as more people are using OSGi to have consistency.

    Manifest-Version: 1.0
    Bundle-Name: Bundle_webflow Bundle
    Platform-ModuleType: Web
    Web-ContextPath: bundle-webflow
    Bundle-ManifestVersion: 2
    Bundle-SymbolicName: bundle_webflow
    Bundle-Version: 1.0.0
    Import-Library: org.aspectj,
    org.springframework.spring,
    org.apache.tiles,
    org.springframework.webflow
    Import-Bundle: com.springsource.org.apache.commons.beanutils,
    com.springsource.org.apache.commons.collections,
    com.springsource.org.apache.commons.fileupload,
    com.springsource.org.apache.commons.io,
    com.springsource.org.apache.commons.codec,
    com.springsource.org.apache.commons.digester,
    com.springsource.org.apache.commons.lang,
    org.springframework.security,
    org.springframework.webflow


    [2008-07-31 22:59:35.778] nnection(4)-192.168.66.1 <SPDE0018E> Unable to install application from location 'file:/Users/dwinterfeldt/s2ap/eclipse-springsource-ap-1.0.0.RC1/stage/bundle-webflow.jar/'. Could not satisfy constraints for bundle 'bundle_webflow' at version '1.0.0'.
    Cannot resolve: bundle_webflow
    Resolver report:
    Bundle: org.springframework.webflow_2.0.2.RELEASE - Missing Constraint: Import-Package: org.springframework.binding.collection; version="[2.0.2,2.0.2]"
    .

  • #2
    Classpath Issues for Web Modules

    Dave,

    You might find using the platform-spring-travel sample included in the Web Flow 2.0.3 release useful as a reference, which was just released on July 31. This is a port of the familiar Hotel Booking application to the platform.

    Keith

    Comment


    • #3
      Classpath Issues for Web Modules

      Keith, thank you. That will be really useful. I didn't know that example was in the release.

      Comment

      Working...
      X